org.apache.ignite.internal.visor.misc

## Class VisorClusterNode

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.visor.misc.VisorClusterNode

All Implemented Interfaces:
  Externalizable, Serializable

    public class VisorClusterNode
    extends VisorDataTransferObject

Data transfer object for `ClusterNode`.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`V1, V2, V3, V4, V5`

### Constructor Summary

Constructors
Constructor and Description
`VisorClusterNode()` Default constructor.
`VisorClusterNode(ClusterNode node)` Create data transfer object for baseline node.

### Method Summary

All Methods Instance Methods Concrete Methods
`Collection<String>` `getAddresses()` Get cluster node addresses.
`Map<String,Object>` `getAttributes()` Get cluster node attributes.
`String` `getConsistentId()` Get cluster node consistent id.
`Collection<String>` `getHostNames()` Get cluster node host names.
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`String` `toString()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorClusterNode

    public VisorClusterNode()

Default constructor.

#### VisorClusterNode

    public VisorClusterNode(ClusterNode node)

Create data transfer object for baseline node.

Parameters:
  `node` - Baseline node.

### Method Detail

#### getConsistentId

    public String getConsistentId()

Get cluster node consistent id.

Returns:
  Cluster node consistent id.

#### getAttributes

    public Map<String,Object> getAttributes()

Get cluster node attributes.

Returns:
  Cluster node attributes.

#### getAddresses

    public Collection<String> getAddresses()

Get cluster node addresses.

Returns:
  Node addresses.

#### getHostNames

    public Collection<String> getHostNames()

Get cluster node host names.

Returns:
  Node host names.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `VisorDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `VisorDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023